fonts-arphic-uming (0.2.20080216.2-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:20:50 +0800

fonts-arphic-uming (0.2.20080216.2-10) unstable; urgency=medium

  * Team upload.
  * debian/control
    - fix Vcs-Git 
    - update Homepage: to use https

 -- Hideki Yamane <henrich@debian.org>  Mon, 23 Oct 2017 07:12:29 +0900

fonts-arphic-uming (0.2.20080216.2-9) unstable; urgency=medium

  * Team upload.
  * debian/compat
    - set 10
  * debian/control
    - set Build-Depends: debhelper (>= 10) 
    - set Standards-Version: 4.1.1
  * remove empty debian/watch
  * update oldstyle debian/gbp.conf

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Oct 2017 05:05:18 +0900

fonts-arphic-uming (0.2.20080216.2-8) unstable; urgency=medium

  * Team upload.
  * debian/rules
    - fix FTBFS with install changelog with non-existent package
      (Closes: #876691)
    - simplify it
  * debian/control
    - update Vcs-*
    - set Standards-Version: 4.1.0

 -- Hideki Yamane <henrich@debian.org>  Mon, 25 Sep 2017 20:51:09 +0900

fonts-arphic-uming (0.2.20080216.2-7) unstable; urgency=low

  * Properly remove obsolete configuration file
    /etc/fonts/conf.avail/25-arphic-uming-nobitmaps.conf
    Closes: #728509
  * Drop obsolete code dealing with defoma hints files in maintainer
    scripts

 -- Christian Perrier <bubulle@debian.org>  Sat, 02 Nov 2013 18:54:51 +0100

fonts-arphic-uming (0.2.20080216.2-6) unstable; urgency=low

  * Use correct fontconfig syntax for disjunction and don't include
    multiple elements in test/alias.
    This obsoletes 10-fix_bitmaps_conf_file.patch and
    20-avoid-multiple-values-in-config-files.patch.
    Closes: #687043

 -- Christian Perrier <bubulle@debian.org>  Wed, 30 Oct 2013 22:17:26 +0100

fonts-arphic-uming (0.2.20080216.2-5) unstable; urgency=low

  * Merge patch from Ubuntu to avoid fontconfig warnings
    Thanks to Radu Stoica. Closes: #687043
    - 41-arphic-uming.conf (LP: #1034928)
      - Updated so there are no multiple values in an alias tag
        (FontConfig warns these are not supported).
    - 64-arphic-uming.conf (LP: #1034928)
      - Updated so there are no multiple values in a test tag
        (FontConfig warns these are not supported).
  * Update Standards to 3.9.4 (checked)
  * Bump debhelper compatibility to 9
  * Drop transitional package
  * Add Multi-Arch: foreign field
  * Use Breaks instead of Conflicts. Drop Provides as it is no
    longer needed (installations should have transitioned since wheezy
    and the package has anyway no reverse dependency.
  * Use xz extreme compression for deb packages
  *  Use git for packaging: adapt Vcs-* fields
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Wed, 14 Aug 2013 07:27:24 +0200

fonts-arphic-uming (0.2.20080216.2-4) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Set the team to maintainer, seems that was missed
  * Wrap and sort all the files (wrap-and-sort -s)
  * Do not install all the .svn dirs in the package
  * Install the FONTLOG as the upstream changelog
  * Drop mentions of x-ttcidfont-conf since it is gone (Closes: #660050)
  * Add watch file explaining the maintenance situation
  * Point at the correct file for GPL-2
  * Use Breaks since the transitional package doesn't conflict
  * Use dh_installdeb maintscript support
    - Restores the removed prerm file, fixing upgrade (Closes: #656951)
  * Don't remove parts of /usr/share, leave that to dpkg

  [ Colin Watson ]
  * Switch to xz compression.
  * Bump dpkg Pre-Depends for newer compression support.
  * Add Pre-Depends: dpkg (>= 1.15.6~) to ttf-arphic-uming as well.

 -- Paul Wise <pabs@debian.org>  Thu, 16 Feb 2012 16:36:20 +0800

fonts-arphic-uming (0.2.20080216.2-3) unstable; urgency=medium

  * Team upload.
  * debian/preinst
    - remove debug option, sorry for the mess. 

 -- Hideki Yamane <henrich@debian.org>  Wed, 25 Jan 2012 22:18:43 +0900

fonts-arphic-uming (0.2.20080216.2-2) unstable; urgency=medium

  * Team upload.
  * debian/ttf-arphic-uming.defoma-hints 
    - remove it from source
  * debian/prerm,postrm
    - remove prerm and move function to postrm.
    - check if defoma exists (Closes: #655842)
  * debian/preinst
    - remove duplicate defoma calling 
  * debian/control,compat
    - Build-Depends: "debhelper >= 7.0.50~" and set 7 to compat
    - set Vcs-* fields.
  * set urgency=medium because this will fix bug with upgrading

 -- Hideki Yamane <henrich@debian.org>  Sat, 21 Jan 2012 23:40:31 +0900

fonts-arphic-uming (0.2.20080216.2-1) unstable; urgency=low

  * Team upload

  [ Arne Goetje ]
  * Upstream changes: 
    - rename fontconfig files
    - improve fontconfig files to detect the language and select the
      right font

  [ Christian Perrier ]
  * Transition away from defoma. Closes: #649826
  * Move to v3 source format
  * Add ${misc:Depends} to dependencies to properly deal with
    dependencies inplied by the use of debhelper
  * Drop recommendation on x-ttcidfont-conf and fontconfig
  * Move to dh7-style minimal rules file
  * Change section to fonts
  * Bump Stadards to 3.9.2 (checked)
  * Rename source package to "fonts-arphic-uming" to fit the Font
    Packages Naming Policy.

 -- Christian Perrier <bubulle@debian.org>  Sun, 11 Dec 2011 19:57:38 +0100

ttf-arphic-uming (0.2.20080216.1-3) unstable; urgency=low

  * debian/rules: added distro check to determine if we build on Ubuntu or
    not. Ubuntu uses lzma compression, while Debian Lenny still uses bzip2.

 -- Arne Goetje <arne@ubuntu.com>  Tue, 30 Sep 2008 09:10:46 +0800

ttf-arphic-uming (0.2.20080216.1-2) unstable; urgency=low

  * Merge from Ubuntu:
   - 10-fix_bitmap_conf_file patch: 25-ttf-arphic-uming-bitmaps.conf causes
     wrong glyph rendering on Intrepid. Fixed. Additionally add
     25-ttf-arphic-uming-nobitmaps.conf as embedded bitmaps are enabled by 
     default in fontconfig now. However, these two files are only copied to
     /etc/fonts/conf.avail/ . The user needs to link them to /etc/fonts/conf.d/
     manually if (s)he desires. (LP: #272913)
   - Rebuild with lzma compression, Pre-Depends: dpkg (>= 1.13.25)
  * Bumped up standards to 3.8.0

 -- Arne Goetje <arne@ubuntu.com>  Mon, 22 Sep 2008 11:46:16 +0800

ttf-arphic-uming (0.2.20080216.1-1) unstable; urgency=low

  * new upstream release
  * fixed a typo in debian/prerm (LP: #194129)
  * debian/control: changed Architecture from 'any' to 'all' (LP: #194168)
  * fixed typo in package description (Closes: #442612)
  * corrected homepage URL in control and changelog (Closes: #423720, #436531)
  * added Homepage field in debian/control
  * use bzip2 compression
  * bumped up the Standards version to 3.7.3
  * updated package description in debian/control
  * purge debconf entries and removed template and translations, as they are
    no longer needed.
  * use cdbs to build package
  * remove Provides: ttf-arphic-bsmi00lp and ttf-arphic-gbsn00lp entries
  Copied from FONTLOG:
  * Bug fix: 45 Big5 PUA glyphs and 4 HKSCS PUA glyphs have not been assigned 
    codepoints -- FIXED.
  * Bug fix: the bitmap glyphs got lost due to a fontforge bug. -- FIXED
  * resized all glyphs back to an em-size of 1024 like they were originally.
    This also fixed the bug, that the glyphs and lines were too high.
    The previous em-size was 2098, while it should have been 2048.
  * completely reworked all Latin based glyphs (thanks to Maurizio M. Gavioli)
  * changed the Latin, Greek and Cyrillic based glyphs back to Monospace
  * added 1553 glyphs and references
  * compile font as TrueType Collection (TTC):
    contains 4 font flavors (CN, HK, TW, TW MBE) which map to different glyph
    styles. Currently this is only a proof of concept with only 2 codepoints
    (U+4EE4 and U+9AA8) between CN, HK and TW flavors and 13 different glyphs 
    between the TW and TW MBE flavors. All other glyphs are exactly the same 
    in all flavors.
  * debugged a lot of glyphs which had intersecting splines.
  * moved all glyphs from the PUA areas into unencoded space and only map 
    those to the BMP PUA where it's necessary for roundtrip compatibility 
    (i.e. the HKSCS PUA references only appear in the HK flavor, Big5 
    references in HK, TW and TW MBE, and the GB18030-2000 references in the 
    CN flavor.
  * added all outstanding PUA references for HKSCS to be compatible back to
    HKSCS in ISO 10646-1:1993
  * Name change: from AR PL ShanHeiSun Uni (MBE) to 
    AR PL UMing {CN|HK|TW|TW MBE}.
    For backwards compatibility alias entries are defined to map 
    "AR PL ShanHeiSun Uni" to "AR PL UMing HK" and "AR PL ShanHeiSun Uni MBE" 
    to "AR PL UMing TW MBE".
  * split the fontconfig configuration file into 6 (LP: #175972) (Closes:
    #457420, #457417) :
    * 25-ttf-arphic-uming-render: fixes globaladvance and sets the font to be 
      dual-width
    * 25-ttf-arphic-uming-bitmaps: enables embedded bitmaps
    * 35-ttf-arphic-uming-aliases: alias entries for 
      "AR PL ShanHeiSun Uni (MBE)"
    * 41-ttf-arphic-uming.conf: binds font to Serif, Sans and Monospace
    * 64-ttf-arphic-uming.conf: alias settings for Serif, Sans and Monospace
      (Closes: #425024)
    * 90-ttf-arphic-uming-embolden.conf: emboldens the font
  * Changed the font information to advertise itself as "Light" style. (LP:
    #57578)

 -- Arne Goetje <arne@ubuntu.com>  Thu, 15 May 2008 10:17:34 +0800

ttf-arphic-uming (0.1.20060928-2.2) unstable; urgency=high

  * Non-maintainer upload during BSP.
  * Fix unconditional use of debconf in postrm (Closes: #417071).
  * Add Dutch debconf translation (Closes: #414774).

 -- Luk Claes <luk@debian.org>  Sun, 20 May 2007 17:18:55 +0200

ttf-arphic-uming (0.1.20060928-2.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #401252
    - Portuguese. Closes: #412318
    - Galician. Closes: #412341
    - Catalan. Closes: #412578

 -- Christian Perrier <bubulle@debian.org>  Tue, 27 Feb 2007 07:13:28 +0100

ttf-arphic-uming (0.1.20060928-2) unstable; urgency=low

  * Fixed the postinst script to check if the link in /etc/fonts/conf.d/
    already exists.

 -- Arne Goetje <arne@linux.org.tw>  Sat, 14 Oct 2006 20:14:04 +0800

ttf-arphic-uming (0.1.20060928-1) unstable; urgency=low

  * Copied the Hiragana, Katagana and several other glyphs into PUA to be
    compatible with legacy Big5 encoding again.
  * Changed the fontconfig and defoma hints files.

 -- Arne Goetje <arne@linux.org.tw>  Fri, 29 Sep 2006 00:17:45 +0800

ttf-arphic-uming (0.1.20060903-1) unstable; urgency=low

  * New upstream release
  * Added the Ideographic Description Characters block
  * Added the Control Pictures block
  * Added 5 more glyphs to be compatible to the latest revision of HKSCS-2004
  * Fixed the stacked diacritics for E and e used with composites in
    HKSCS-2004
  * Bumped up the Standards version to 3.7.2.1
  * Enabled Slanting and Boldizing in the defoma-hints file

 -- Arne Goetje <arne@linux.org.tw>  Sun,  3 Sep 2006 14:59:20 +0800

ttf-arphic-uming (0.1.20060513-1) unstable; urgency=low

  * The 'fix for the missing i and j dots under pango' release
  * no new glyphs, just the fix.
  * bumped up the standards version to 3.7.2.0

 -- Arne Goetje <arne@linux.org.tw>  Sat, 13 May 2006 17:20:38 +0800

ttf-arphic-uming (0.1.20060108-1) unstable; urgency=low

  * added 61 Taiwanese glyphs in CJK Ext. A
  * added 780 GBK glyphs in CJK Basic
  * deleted 3 wrong glyphs from CJK Compatibility Area

 -- Arne Goetje <arne@linux.org.tw>  Mon,  9 Jan 2006 00:30:12 +0800

ttf-arphic-uming (0.1-1) unstable; urgency=low

  * Bumped up version for official release. No other changes compared to 
    0.1-0.dot.3.

 -- Arne Goetje <arne@linux.org.tw>  Tue,  8 Nov 2005 06:50:28 +0800

ttf-arphic-uming (0.1-0.dot.3) unstable; urgency=low

  * Fixed some bugs in the MBE font (font name)
  * Fixed some bugs in the Kangxi Radicals and CJK Compatibility sections

 -- Arne Goetje <arne@linux.org.tw>  Sun,  9 Oct 2005 01:45:40 +0800

ttf-arphic-uming (0.1-0.dot.2) unstable; urgency=low

  * added swedish po file (Closes: #331187)
  * added debconf-2.0 alternate as dependency (Closes: #332126)
  * bumped up the standards version
  * changed a couple of HKSCS glyphs to better reflect the standard
    (U+3797, U+3B19, U+3EC2, U+5847, U+5BD5, U+5BD7, U+722B, U+777B, U+7F52,
    U+7FE7, U+81B6, U+8642, U+8987, U+8989, U+898A, U+8B4C, U+93CB, U+9641,
    U+9755, U+98EC, U+9D83, U+21A45, U+248E9, U+2585D, U+27607, U+2F825)
  * added 7 glyphs in IPA Extensions for HKSCS (U+0250, U+0254, U+025B,
    U+026A, U+0275, U+0283, U+028A)
  * added 2 glyphs in CJK Radicals Supplement (U+2EBF, U+2EC0)

 -- Arne Goetje <arne@linux.org.tw>  Sat,  8 Oct 2005 16:21:09 +0800

ttf-arphic-uming (0.1-0.dot.1) unstable; urgency=low

  * completed HKSCS 2004 support
  * added POJ ligature characters
  * added OTF/TTF VERT feature for vertical substitiution
  * changed the included Latin, Greek and Cyrilic glyphs to have a proportional
    width
  * added full width Greek and Cyrillic glyphs in the PUA
  * added OTF/TTF FWID feature for full width glyphs
  * added czech po file (Closes: #308752)
  * added vietnamese po file (Closes: #322364)

 -- Arne Goetje <arne@linux.org.tw>  Thu,  1 Sep 2005 16:30:11 +0800

ttf-arphic-uming (0.0.20050501-1) unstable; urgency=low

  * completed HKSCS support in Ext.B for radicals 001, 002, 004, 005, 006,
    009, 011, 013, 014, 016, 017, 019, 020, 021, 022, 023, 025, 026, 027, 028,
    029, 030, 031, 032, 035, 036, 037, 040, 041, 043, 045, 047, 049, 050, 052,
    053, 054, 057, 058, 059, 062, 067, 068, 069, 070, 078, 079, 080, 082, 084,
    087, 090, 091, 098, 100, 101, 103, 107, 108, 114, 115, 116, 117, 118, 119,
    121, 127, 129, 133, 134, 135, 141, 147, 148, 151, 154, 157, 158, 159, 160,
    162, 163, 164, 166, 167, 170, 172, 174, 175, 180, 182, 184, 185, 186, 188,
    190, 193, 194, 195, 198, 199, 200, 203, 210, 213
  * added some Hakka characters
  * added french po file (Closes: #305811)
  * added Firefly's bitmap fonts (Big5 and GB2312 only)

 -- Arne Goetje <arne@linux.org.tw>  Sun,  1 May 2005 21:49:04 +0800

ttf-arphic-uming (0.0.20050328-2) unstable; urgency=low

  * Initial release for Debian main (Closes: #297659)
  * added config file for fontconfig (>= 2.3.1)

 -- Arne Goetje <arne@linux.org.tw>  Sun,  3 Apr 2005 13:00:14 +0800

ttf-arphic-uming (0.0.20050328-1) unstable; urgency=low

  * finished HKSCS support for CJK Ext. A
  * added anchors for latin characters and diacritics
  * added circled latin characters and numbers 11-20
  * simplified the font for saving space

 -- Arne Goetje <arne@linux.org.tw>  Tue, 29 Mar 2005 00:00:50 +0800

ttf-arphic-uming (0.0.20050214-1) unstable; urgency=low

  * finished HKSCS support for Basic CJK
  * added new characters for the upcoming Unicode 4.1.0 standard.
  * moved the HKSCS glyphs from PUA to their final destination according to
    the upcoming Unicode 4.1.0 standard.
  * created references to PUA for HKSCS compatibility.

 -- Arne Goetje <arne@linux.org.tw>  Mon, 14 Feb 2005 12:19:07 +0800

ttf-arphic-uming (0.0.20041205-2) unstable; urgency=low

  * This is a test release, not for public use.

 -- Arne Goetje <arne@linux.org.tw>  Mon, 10 Jan 2005 15:23:44 +0800

ttf-arphic-uming (0.0.20041205-1) unstable; urgency=low

  * changed the debian packaging, merged the MBE package into
    this one.
  * completed HKSCS for radicals 030, 060, 109, 148, 160, 164, 169, 170, 171, 
    172, 173, 174, 175, 177, 178, 179, 180, 184, 186, 188, 190, 191, 196 
    in Basic CJK.
  * completed Japanese for radicals 60, 109 in Basic CJK.
  * completed HKSCS for radical 060 in CJK Ext. B.
  * added seperate Contributers file
  * package depends now on xdelta

 -- Arne Goetje <arne@linux.org.tw>  Sun, 12 Dec 2004 11:16:03 +0800

ttf-arphic-uming (0.0.20041031-2) unstable; urgency=low

  * updated the control file

 -- Arne Goetje <arne@linux.org.tw>  Tue, 16 Nov 2004 15:17:41 +0800

ttf-arphic-uming (0.0.20041031-1) unstable; urgency=low

  * completed HKSCS for radicals 197, 198, 199, 200, 201, 203, 205, 208, 209,
    211, 212, 214.
    Thanks to Akar Chen for contributing the mingti version.

 -- Arne Goetje <arne@linux.org.tw>  Sun, 31 Oct 2004 16:00:29 +0800

ttf-arphic-uming (0.0.20040926-1) unstable; urgency=low

  * completed radicals 001, 004, 008, 012, 014, 015, 016, 021, 034, 045, 051
    and 055 in Basic CJK.

 -- Arne Goetje <arne@linux.org.tw>  Sun, 26 Sep 2004 22:27:54 +0800

ttf-arphic-uming (0.0.20040919-1) unstable; urgency=low

  * completed radical 009 in Basic CJK.
  * fixed Kangxi radicals
  * added CJK compatibility glyphs

 -- Arne Goetje <arne@linux.org.tw>  Sun, 19 Sep 2004 17:31:14 +0800

ttf-arphic-uming (0.0.20040823-1) unstable; urgency=low

  * added some japanese glyphs
  * font name change to AR PL ShanHeiSun Uni
  * corrected hints file

 -- Arne Goetje <arne@linux.org.tw>  Mon, 23 Aug 2004 22:12:13 +0800

ttf-arphic-uming (0.0.20040229-3) unstable; urgency=low

  * Set the font resulution in the hints file to 100
  * Adjusted dependency handling

 -- Arne Goetje <arne@linux.org.tw>  Sun, 25 Apr 2004 13:29:11 +0800

ttf-arphic-uming (0.0.20040229-2) unstable; urgency=low

  * fixed a bug in the hints file

 -- Arne Goetje <arne@linux.org.tw>  Wed,  3 Mar 2004 21:37:27 +0800

ttf-arphic-uming (0.0.20040229-1) unstable; urgency=low

  * added some more HKSCS glyphs

 -- Arne Goetje <arne@linux.org.tw>  Sun, 29 Feb 2004 16:54:39 +0800

ttf-arphic-uming (0.0.20040111-1) unstable; urgency=low

  * added some more HKSCS glyphs

 -- Arne Goetje <arne@linux.org.tw>  Sun, 11 Jan 2004 20:35:16 +0800

ttf-arphic-uming (0.0.20040104-1) unstable; urgency=low

  * corrected Bopomofo Extended glyphs
  * added some ore HKSCS and CNS11643 glyphs

 -- Arne Goetje <arne@linux.org.tw>  Sun,  4 Jan 2004 17:28:16 +0800

ttf-arphic-uming (0.0.20031109-1) unstable; urgency=low

  * added Hakka tone marks

 -- Arne Goetje <arne@linux.org.tw>  Sun,  9 Nov 2003 17:24:14 +0800

ttf-arphic-uming (0.0.20031102-1) unstable; urgency=low

  * changed filename to uming.ttf

 -- Arne Goetje <arne@linux.org.tw>  Sun,  2 Nov 2003 17:16:45 +0800

ttf-arphic-uming (0.0.20030909-1) unstable; urgency=low

  * added Bopomofo Extensions for Hakka, Minnan
  * added some more HKSCS glyphs

 -- Arne Goetje <arne@linux.org.tw>  Tue,  9 Sep 2003 10:56:14 +0800

ttf-arphic-uming (0.0.20030727) unstable; urgency=low

  * added some HKSCS glyphs

 -- Arne Goetje <arne@linux.org.tw>  Sun, 27 Jul 2003 21:38:29 +0800

ttf-arphic-uming (0.0.20030704) unstable; urgency=low

  * added some glyphs and corrected others

 -- Arne Goetje <arne@linux.org.tw>  Fri,  4 Jul 2003 23:11:42 +0800

ttf-arphic-uming (0.0.20030504-1) unstable; urgency=low

  * removed hints from font. Should fix ugly appearance in X.

 -- Arne Goetje <arne@linux.org.tw>  Sun,  4 May 2003 17:12:02 +0800

ttf-arphic-uming (0.0.20030501-1) unstable; urgency=low

  * Initial release.
  * Special thanks to Arphic Technology Co., Ltd. and to the
    Chinese GNU/Linux Extension Team for their effort in bringing
    our dream to reality!  :-)
  * Thanks also to Anthony Fok <foka@debian.org> for packaging the original 
    fonts from Arphic Technology Co., Ltd..

 -- Arne Goetje <arne@linux.org.tw>  Thu, 1 May 2003 00:00:11 +0800
